org.fourthline.cling.support.avtransport

## Class AVTransportException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.fourthline.cling.model.action.ActionException
      - - org.fourthline.cling.support.avtransport.AVTransportException

- All Implemented Interfaces:
    Serializable

      public class AVTransportException
      extends ActionException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AVTransportException(AVTransportErrorCode errorCode)`
    `AVTransportException(AVTransportErrorCode errorCode, String message)`
    `AVTransportException(ErrorCode errorCode)`
    `AVTransportException(ErrorCode errorCode, String message)`
    `AVTransportException(int errorCode, String message)`
    `AVTransportException(int errorCode, String message, Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class org.fourthline.cling.model.action.ActionException

      `getErrorCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AVTransportException

          public AVTransportException(int errorCode,
                                      String message)

    - #### AVTransportException

          public AVTransportException(int errorCode,
                                      String message,
                                      Throwable cause)

    - #### AVTransportException

          public AVTransportException(ErrorCode errorCode,
                                      String message)

    - #### AVTransportException

          public AVTransportException(ErrorCode errorCode)

    - #### AVTransportException

          public AVTransportException(AVTransportErrorCode errorCode,
                                      String message)

    - #### AVTransportException

          public AVTransportException(AVTransportErrorCode errorCode)

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.